Turn layer classes on/off with a checkbox
Category: GUI

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 16252

Description

As per http://gis.stackexchange.com/questions/25759/switch-classes-on-off-within-shapefile-in-qgis-1-8?rq=1 it would be extremely

useful if QGIS enabled a finer granularity for turning on and off not just layers, but also classes within layers.

Current situation: I load a layer and classify it in 10 classes according to one attribute. I can give different styles/colors to the classes. But

I can only turn on/off the entire layer.

Desired feature: upon classifying features from a layer, each class is given a checkbox or other single-click handle in the side pane, so it

can be turned on and off at pleasure. Bonus: CAD-like features such as "enable all classes but this one" and "enable all classes".

History

#1 - 2013-02-22 04:53 AM - Borys Jurgiel

+1, that feature is extremely desired.

#2 - 2013-02-22 08:27 AM - Giovanni Manghi

another killer feature would be the possibility to select features by selecting a symbology class in the TOC. I think there is already a ticket filed about it.

#3 - 2013-02-22 09:43 AM - Martin Dobias

Yet another nice feature would be to allow user change class' symbol directly from TOC

#4 - 2013-02-23 10:47 AM - Stefano Costa -

Seems like the TOC is waiting for a major update :-)

Is it possible to outline a plan for adding all these features? And, most importantly, is it too late for being included in the 2.0 roadmap?

#5 - 2013-02-23 10:52 AM - Giovanni Manghi

Stefano Costa - wrote:

And, most importantly, is it too late for being included in the 2.0 roadmap?

I don't think it is too late for any new feature it may be developed, but to add such features I guess it would be needed to willingly support its development.
#6 - 2013-03-02 09:07 AM - Stefano Costa -

Giovanni Manghi wrote:

I don't think it is too late for any new feature it may be developed, but to add such features I guess it would be needed to willingly support its

development.

Giovanni, if you mean that development of this feature would require money, I know how QGIS development works. And I was asking if it is possible to

outline a plan for this to happen (how much time required, in which order the sub-features would be added, is this a core change or a plugin, how much this

affects other parts of the program..). That is the logical sequence IMHO.

#7 - 2013-03-03 01:21 AM - Giovanni Manghi

And I was asking if it is possible to outline a plan for this to happen (how much time required, in which order the sub-features would be added, is this

a core change or a plugin, how much this affects other parts of the program..).

This features would be very useful for the overall project, I think you just need to discuss this details with the core developers who will eventually do the

job.

#8 - 2014-07-02 10:14 PM - Nathan Woodrow

- Assignee set to Nathan Woodrow

#9 - 2015-12-01 11:35 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Implemented a few versions back.
